package com.hzya.frame.ningboBankTreasury.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.ningboBankTreasury.dto.req.AccTransactionReq;
import com.hzya.frame.ningboBankTreasury.dto.res.AccTransactionRes;
import com.hzya.frame.ningboBankTreasury.dto.res.AccTrxResponse;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

public interface INingboBankTreasuryService {



    /**
     * @Author lvleigang
     * @Description  发送宁波银行
     * @Date 4:45 下午 2024/7/9
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    Object sendNbBank(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  发送宁波银行下载文件
     * @Date 4:45 下午 2024/7/9
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    Object sendNbBankFileDownload(JSONObject jsonObject);
    /**
     *
     * @content 此方法获取初始化参数，拼接请求参数
     * @author laborer
     * @date 2024/5/27 0027 11:38
     *
     */
    SysExtensionApiEntity doChangeData(SysExtensionApiEntity entity);

    /**
     * 银行原生方法
     * 分页方式 全量查询境内账户交易明细
     * accTransactionReq.custId  客户号 必填
     * accTransactionReq.bankAccList  账号列表 必填
     * @param accTransactionReq
     * @return
     */
    List<AccTransactionRes> queryAccDetails(AccTransactionReq accTransactionReq);

    /**
     * esb方法
     * 分页方式 全量查询境内账户交易明细
     * @param jsonObject
     * @return
     */
    JsonResultEntity queryAccountDetailsEsb(JSONObject jsonObject);
}
